Bug 806076 - Promotion - viewing system template doesn't show the repos in that template
Promotion - viewing system template doesn't show the repos in that template
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Linux
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Brad Buckingham
Sachin Ghai
: Triaged, ZStream
Depends On:
Blocks: 827540
  Show dependency treegraph
 
Reported: 2012-03-22 16:32 EDT by Brad Buckingham
Modified: 2013-08-16 14:03 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Viewing a system template through the Changesets page listed only products and packages in the template. This fix corrects the Changesets page to show other elements of the template such as repositories, package groups and the distribution.
Story Points: ---
Clone Of:
: 827540 (view as bug list)
Environment:
Last Closed: 2012-12-04 14:43:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sys template shows the complete info (packages, package_group, ks_distribution,repo) on right pane. (34.00 KB, image/png)
2012-09-24 02:17 EDT, Sachin Ghai
no flags Details

  None (edit)
Description Brad Buckingham 2012-03-22 16:32:44 EDT
Description of problem:

When a user views a system template through the Content sliding tree on the promotions page, the information presented about the template is incomplete.

Version-Release number of selected component (if applicable):
git master

How reproducible:
always

Steps to Reproduce:
1. create a system template (e.g. template1)
2. add some repos, packages and package groups to the template (and save)
3. go to Content Management -> Promotions
4. navigate to the template just created 
  
Actual results:
A pane is opened showing information about the template such as the name and the list of packages contained within it.

Expected results:
The actual results plus the rest of the information added to the template (e.g. repositories, package groups...etc)

Additional info:
Comment 1 Mike McCune 2012-03-22 19:25:04 EDT
is there any kind of workaround to this?
Comment 2 Brad Buckingham 2012-03-22 20:13:41 EDT
A possible workaround would be for the user to go to the System Templates page and view the content of the template from there.  Unfortunately, I do not feel that is a good workaround.  The reason being,a user could conceivably see the 'partial' data that is shown in the Promotions view, add the template and promote, in which case they'd end up promoting unintended content.
Comment 4 Brad Buckingham 2012-03-23 09:38:05 EDT
katello commit - 6f16244c646dfdb3330b1259c4aa05960a48d7c7
Comment 6 James Laska 2012-04-18 10:04:00 EDT
mmccune, what's the status on this bug.  With the lack of a sufficient workaround, is this a 1.0 blocker?

If not, let's set 'cloudforms-1.1.0?' and aim to resolve this in the next release.
Comment 11 Sachin Ghai 2012-09-24 02:15:54 EDT
Verified this defect with following CFSE build:

katello-qpid-client-key-pair-1.0-1.noarch
katello-common-1.1.12-7.el6cf.noarch
katello-all-1.1.12-7.el6cf.noarch
katello-cli-1.1.8-4.el6cf.noarch
katello-certs-tools-1.1.8-1.el6cf.noarch
katello-glue-candlepin-1.1.12-7.el6cf.noarch
katello-selinux-1.1.1-1.el6cf.noarch
katello-configure-1.1.9-3.el6cf.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-common-1.1.8-4.el6cf.noarch
katello-glue-pulp-1.1.12-7.el6cf.noarch
katello-1.1.12-7.el6cf.noarch
katello-qpid-broker-key-pair-1.0-1.noarch


I can see the complete info of system template on right pane ( name, packages, repo, package groups, KS distribution). Please see the attachment.
Comment 12 Sachin Ghai 2012-09-24 02:17:30 EDT
Created attachment 616379 [details]
sys template shows the complete info (packages, package_group, ks_distribution,repo) on right pane.
Comment 14 errata-xmlrpc 2012-12-04 14:43:33 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html
Comment 15 Mike McCune 2013-08-16 14:03:25 EDT
getting rid of 6.0.0 version since that doesn't exist

Note You need to log in before you can comment on or make changes to this bug.